<?php
/*
Weaver II Pro Extra Menus - Version 1.0

EXTRAMENU
CODE

This code is Copyright 2011 by Bruce Wampler, all rights reserved.
This code is licensed under the terms of the accompanying license file: license.html.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/
/* ============================ weaveriip_extra_menu =============================== */

function weaveriip_has_extra_menu() { return true; }

    class weaveriip_Widget_Vertical_Menu extends WP_Widget {

	function weaveriip_Widget_Vertical_Menu() {
	    $widget_ops = array( 'classname'=>'weaveriip_vertical_menu',
		'description' => __('Use this widget to add one of your custom menus as a widget.', 'weaver-ii-admin' )
		. __(' Use Weaver Menu Bar settings to display simple Rollover vertical menu.', 'weaver-ii-admin' ));
	    parent::WP_Widget( 'weaveriip_nav_menu', __('Weaver II Pro Vertical Menu', 'weaver-ii-admin' ), $widget_ops );
	}

	function widget($args, $instance) {
	    // Get menu
	    $nav_menu = wp_get_nav_menu_object( $instance['nav_menu'] );

	    $instance['title'] = apply_filters('widget_title', $instance['title'], $instance, $this->id_base);

	    $type = $instance['menu_style'];
	    if (!$type) $type='vertical';
	    $wrap = 'menu_widget';
	    $class = 'menu_bar';	// most will use menubar as the base style
	    switch ($type) {
		case 'vertical':	// simple, no popoup vertical menu
		    $wrap = 'menu_widget';
		    $class = 'menu-vertical';
		    break;
		case 'left':		// pop-out to the left side
		    $wrap = 'menu_pop_left';
		    break;
		case 'right':		// pop-out to the right side
		    $wrap = 'menu_pop_right';
		    break;
		default:
		    break;
	    }


	    echo $args['before_widget'];

	    if ( !empty($instance['title']) )
		echo $args['before_title'] . $instance['title'] . $args['after_title'];

	    echo weaveriip_extra_menu_generate_code($nav_menu, $wrap, $class );

	    echo $args['after_widget'];
    }

    function update( $new_instance, $old_instance ) {
	$instance['title'] = strip_tags( stripslashes($new_instance['title']) );
	$instance['nav_menu'] = (int) $new_instance['nav_menu'];
	$instance['menu_style'] = $new_instance['menu_style'];
	return $instance;
    }

    function form( $instance ) {
	$title = isset( $instance['title'] ) ? $instance['title'] : '';
	$nav_menu = isset( $instance['nav_menu'] ) ? $instance['nav_menu'] : '';
	$menu_style = isset( $instance['menu_style'] ) ? $instance['menu_style'] : '';

	// Get menus
	$menus = get_terms( 'nav_menu', array( 'hide_empty' => false ) );
	$styles = array ('Vertical' => 'vertical', 'Pop Out to Left' => 'left',
	    'Pop Out to Right' => 'right', 'Horizontal' => 'horizontal');

	// If no menus exists, direct the user to go and create some.
	if ( !$menus ) {
	    echo '<p>'. sprintf( __('No menus have been created yet. <a href="%s">Create some</a>.'), admin_url('nav-menus.php') ) .'</p>';
	    return;
	}
?>
	<p>
	<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'weaver-ii-admin' ) ?></label>
	<input type="text" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo weaverii_esc_textarea($title); ?>" />
	</p>
	<p>
	<label for="<?php echo $this->get_field_id('nav_menu'); ?>"><?php _e('Select Menu:', 'weaver-ii-admin' ); ?></label>
	<select id="<?php echo $this->get_field_id('nav_menu'); ?>" name="<?php echo $this->get_field_name('nav_menu'); ?>">
<?php
	    foreach ( $menus as $menu ) {
		$selected = $nav_menu == $menu->term_id ? ' selected="selected"' : '';
		echo '<option'. $selected .' value="'. $menu->term_id .'">'. $menu->name .'</option>';
	    }
?>
	</select>
	</p>
	<p>
	<label for="<?php echo $this->get_field_id('menu_style'); ?>"><?php _e('Select Menu Style:', 'weaver-ii-admin' ); ?></label>
	<select id="<?php echo $this->get_field_id('menu_style'); ?>" name="<?php echo $this->get_field_name('menu_style'); ?>">
<?php
	    foreach ( $styles as $style => $val) {
		$selected = $menu_style == $val ? ' selected="selected"' : '';
		echo '<option'. $selected .' value="' . $val .'">'. $style .'</option>';
	    }
?>
	</select>
	</p>
<?php
       }
}


function weaveriip_extra_menu_shortcode($args = '') {
    // [weaver_extra_menu menu='custom-menu-name' style='style-name']
    extract(shortcode_atts(array(
	'menu' => 'primary',      // default menu name
        'style' => 'menu-vertical', // default menu style id
	'width' => '',
        'border_color' => '',
        'css' => '',
	'wrap' => 'extra_menu'
    ), $args));

    return weaveriip_extra_menu_generate_code($menu,$wrap , $style, $border_color,$css,$width);
}

function weaveriip_extra_menu_generate_code($menu, $wrap = 'extra_menu', $style='menu-vertical', $border_color='',$css='',$width='') {

    // if (!$menu) $menu_id = 0;
    // else
    $menu_id = wp_get_nav_menu_object($menu);

    $container_class = $wrap;

    if ($style[0] == '.') $style = substr($style,1);

    $wstyle = $width ? 'width:' . $width . ';' : '';

    if ($border_color == '') $bstyle = '';
    else $bstyle = 'border: 1px solid ' . $border_color .';';

    if ($bstyle != '' || $css != '' || $wstyle != '' ) $add_style = ' style="' . $bstyle . $css . $wstyle .'"';
    else $add_style = '';

    $out = '<div class="' . $container_class . '" role="navigation"' . $add_style . ">\n";

    if (weaverii_pro_getopt('wii_use_superfish') && $style == 'menu_bar')
       $out .= wp_nav_menu( array( 'container_class' => $style, 'echo' => false, 'menu' => $menu_id, 'menu_class' => 'sf-menu', 'fallback_cb' => '' ) );
    else
       $out .= wp_nav_menu( array( 'container_class' => $style, 'echo' => false, 'menu' => $menu_id, 'fallback_cb' => '' ) );
    $out .= "</div><div style=\"clear:both;\"></div>\n";
    return $out;
}

function weaveriip_extra_menu_output_style($sout) {
    // CSS for weaveriip_extra_menu

    $mb_bg = weaverii_getopt('wii_menubar_bgcolor');		// Build the simple vertical menu based on existing
    $mb_sub = weaverii_getopt('wii_menubar_bgcolor');		// theme menu colors.
    $mb_hover = weaverii_getopt('wii_menubar_hover_bgcolor');
    $text_color = weaverii_getopt('wii_menubar_text_color');
    $cur_page = weaverii_getopt('wii_menubar_curpage_color');
    if (weaverii_getopt('wii_bold_menu')) $bold = 'font-weight:bold;';
    else $bold = '';

    $menu = sprintf("/* Weaver II Pro: Basic Rollover Vertical Menu */
.menu-vertical {clear:both;background:transparent;margin:0;width:100%% !important;overflow:hidden !important;border-bottom:3px solid %s;border-top:1px solid %s;%s;}
.menu-vertical ul {margin: 0 !important; padding: 0 !important; list-style-type: none !important;  list-style-image:none !important;font-family: inherit;}
.menu-vertical li a, .menu-vertical a:visited {color: %s !important;  background-color: %s !important;
 display: block !important; padding: 5px 10px !important; text-decoration: none !important;
 border-top:2px solid %s;}
.menu-vertical a:hover,.menu-vertical a:focus {color: %s !important; background-color: %s !important;text-decoration: none !important;}
.menu-vertical ul ul li { margin: 0 !important; }
.menu-vertical ul ul a {color: %s !important; background-color: %s !important;
 display: block !important; padding: 4px 5px 4px 25px !important; text-decoration: none !important;border:0;
 border-top:1px solid %s;}
.menu-vertical ul ul a:hover {color: %s !important; background-color: %s !important; text-decoration: none !important;}
.menu-vertical ul ul ul a {padding: 4px 5px 4px 35px !important;}
.menu-vertical ul ul ul ul a {padding: 4px 5px 4px 45px !important;}
.menu-vertical ul ul ul ul ul a {padding: 4px 5px 4px 55px !important;}
.menu-vertical ul li.current_page_item > a, .menu-vertical ul li.current-menu-item > a  {color:%s !important;}\n",
$text_color, $text_color, $bold, $text_color, $mb_bg, $text_color, $text_color, $mb_hover,
$text_color, $mb_sub, $text_color, $text_color, $mb_hover, $cur_page );

    $menu .= "/* Weaver II Pro: Simple Horizontal One Level Menu  */
.menu-horizontal {clear:both;background:transparent;margin:0;padding:0;}
.menu-horizontal ul {margin:0;padding:2px 2px 2px 20px;}
.menu-horizontal li {display:inline; list-style-type:none;list-style-image:none !important;padding-right:15px;}
/* Weaver II Pro: Default List Vertical Menu */
.menu-vertical-default {clear:both; background:transparent;}\n";

weaverii_f_write($sout,$menu);

}

add_shortcode('weaver_extra_menu','weaveriip_extra_menu_shortcode');
add_action('widgets_init', "weaveriip_load_menu_widget");
function weaveriip_load_menu_widget() {
	register_widget("weaveriip_Widget_Vertical_Menu");
}
?>
